/* Adaptable to different screen resolutions */

@media screen and (min-width: 1000px) and (max-width: 1279px){
    .container {
        width: 1000px;
        margin: 0 auto;
    }

    .gallery-box__title {
        display: none;
    }

}

@media screen and (min-width: 1400px){
    .header__left {
        justify-content: space-between;
    }

    .main-slide__subtitle {
        white-space: nowrap;
        width: 120%;
    }
}

@media screen and (max-width: 1400px) {
    .categories .content-body {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        grid-gap: 60px;
    }

    .container {
        width: 100%;
        padding: 0 50px;
    }
}


@media screen and (max-width: 999px){
    .container {
        width: 100%;
        padding: 0 20px;
    }

    .header {
        height: auto;
    }

    .header:after {
        content: '';
        display: none;
    }

    .header .container {
        flex-direction: column;
    }

    .header__left {
        flex-direction: column;
        width: 100%;
        padding: 30px 0;
    }

    .header-left__box {
        width: 100%;
    }

    .header-left__text {
        text-align: justify;
    }

    .header-left__image-wrapper {
        display: none;
    }

    .header__right {
        width: 100%;
        margin-bottom: 20px;
        padding: 0 10px;
        justify-content: center;
    }

    .nav-list {
        display: none !important;
    }

    .nav__mobile-btn {
        display: flex;
    }

    .nav .container {
        justify-content: flex-start;
    }

    .main__slider-wrapper {
        min-height: auto;
    }

    .main-slider {
        gap: 20px;
    }

    .main-slide__wrapper {
        flex-direction: column;
        justify-content: center;
        text-align: center;
        gap: 30px;
    }

    .main-slide__subtitle {
        width: 100%;
        font-size: 16px;
    }

    .main-slide__right, .main-slide__left {
        width: 100%;
    }

    .features .container {
        flex-wrap: wrap;
    }

    .feature {
        width: calc(50% - 20px);
        height: 200px;
        gap: 0;
    }


    .feature__image {
        width: 60%;
        height: 70%;
        display: flex;
        align-items: center;
    }

    .content__title {
        font-size: 60px;
    }

    .content__subtitle {
        font-size: 35px;
        margin-bottom: 30px;
        margin-left: 0;
        white-space: nowrap;
    }

    .product-slider-controls {
        margin-top: 30px;
    }

    .products-content {
        grid-template-columns: repeat(1, 1fr);
    }

    .product-category-swiper {
        display: block;
        width: 100%;
    }

    .product-category {
        max-width: 100%;
    }

    .categories .content-body {
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        grid-gap: 60px;
    }

    .product-category__controls {
        display: flex;
    }

    .gallery {
        margin-top: 200px;
        height: auto;
    }

    .gallery__box.gallery-right {
        width: 100%;
    }

    .gallery .container {
        flex-direction: column;
    }

    .gallery__box.gallery-left {
        width: 100%;
        gap: 30px;
    } 

    .gallery:after {
        display: none;
    }

    .gallery__box:nth-child(2) {
        display: none;
    }

    .articles {
        margin-top: 170px;
    }

    .articles .content-body {
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        grid-gap: 70px;
    }

    .gallery-control-box {
        display: none;
    }

    .footer {
        margin-top: 100px;
    }

    .footer__logo {
        width: 50%;
        margin-bottom: 60px;
    }

    .footer__logo img {
        width: 100%;
    }

    .footer__top {
        width: 100%;
    }

    .footer__bottom {
        margin-top: 40px;
    }

    .footer__bottom .container {
        width: 100%;
        flex-direction: column;
        align-items: center;
        gap: 40px;
    }

    .footer-bottom__box {
        width: 100%;
        display: flex;
        justify-content: center;
    }

    .video-wrapper-controls {
        margin-top: 50px;
    }

    .header__phone-link {
        font-size: 20px !important;
    }

    .cart-body {
        grid-template-columns: repeat(1, 1fr);
    }

    .main__additional-controls .container {
        padding: 0 20px;
    }

    .main .modal-btn {
        width: 100%;
    }

    .search-content__box-wrapper {
        grid-template-columns: repeat(1, 1fr);
    }

    .product-card-container .product-card-wrapper {
        flex-direction: column;
        gap: 20px;
    }

    .product-card__left, .product-card__right {
        width: 100%;
    }

    .product-body__text {
        margin: 10px 0;
    }

    .news {
        grid-template-columns: repeat(1, 1fr);
    }
    
    .reviews-box {
        grid-template-columns: repeat(1, 1fr);
    }

    .application-modal__content {
        min-width: auto !important;
    }

    .page {
        flex-direction: column;
    }

    .page-image img {
        width: 100%;
    }

    .product-card-wrapper .product-card__left, .product-card__right {
        width: 100%;
    }

    .search-box-wrapper {
        padding: 30px 20px;
    }

    .main-slide__title {
        font-size: 42px;
    }

    .recommendations-products .content-body {
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        gap: 30px;
    }

    .product-image {
        padding-right: 0px;
    }
}

@media screen and (min-width: 2000px){
    .container {
        width: 1400px !important;
    }

    .main__slider-wrapper .container {
        width: 1500px !important;
    }
}
